image: hatsoftwares/pillar-generator:latest

pages:
  script:
    - cp pillar/ttrss.sls conf-generator/public/pillar.sls
    - cd conf-generator/
    - yarn install -s --pure-lockfile
    - NODE_ENV=production yarn run build
    - mv dist/ ../public/
  artifacts:
    paths:
      - public
  only:
    - master
